Bug 237593 - fail to upgrade fc6 with hard disk method
Summary: fail to upgrade fc6 with hard disk method
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-23 21:49 UTC by Gianluca Cecchi
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 18:18:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gui screenshot of traceback (314.37 KB, image/jpeg)
2007-04-23 21:50 UTC, Gianluca Cecchi
no flags Details
console message screenshot (258.12 KB, image/jpeg)
2007-04-23 21:52 UTC, Gianluca Cecchi
no flags Details
directories mounted at exception time (251.42 KB, image/jpeg)
2007-04-23 22:25 UTC, Gianluca Cecchi
no flags Details
output of bt command after choosing to debug exception (252.94 KB, image/jpeg)
2007-04-23 22:26 UTC, Gianluca Cecchi
no flags Details

Description Gianluca Cecchi 2007-04-23 21:49:08 UTC
Description of problem:
trying to use a usb key to boot PC and start installer and using hard disk
method fails with anaconda traceback

Version-Release number of selected component (if applicable):
anaconda-11.2.0.54-2.x86_64.rpm

How reproducible:
always

Steps to Reproduce:
1. dd of diskboot.img on usb key
2. setup iso dvd image on not to be upgraded partition
3. choose to upgrade using hard disk method
  
Actual results:
anaconda traceback in harddrive.py line 100 in mountDirectory

Expected results:
proceeding of upgrade

Additional info:
At first during initial phase of the gui part I get the message

The installer has tried to mount image #1, but cannot find it on the hard disk 
drive.

I choose to continue. In console I see the message 
INFO path to valid iso with the path name of the correct iso file previously
generated.
I created a directory on the partition to be chosen for installation (not part
of the running FC6 system) where I only put the iso.
After configuration of grub advanced option and choosing to install to boot
sector of root partition I get the exception.
I'm going to attach screen dumps of gui message and console message.

Comment 1 Gianluca Cecchi 2007-04-23 21:50:32 UTC
Created attachment 153316 [details]
gui screenshot of traceback

Comment 2 Gianluca Cecchi 2007-04-23 21:52:08 UTC
Created attachment 153317 [details]
console message screenshot

Comment 3 Gianluca Cecchi 2007-04-23 21:55:18 UTC
I just realized after two days thinking before posting bug that actually the
partition used for hard disk method upgrade, is in /etc/fstab of the system to
be upgraded, too, even if not a "system" partition (such as / or /usr).
I'm going to check if this can be the problem, omittingit from /etc/fstab and
re-trying.....
In any case if this is the problem, probably would have to be taken in
consideration, not giving instead a traceback...


Comment 4 Gianluca Cecchi 2007-04-23 22:24:07 UTC
Nothing changes. Same error.
Anaconda finds correct partition to upgrade (/dev/sda3), as before, but as soon
as I click next after setting the root partition as target for grub install, it
tracebacks.
Through the messages in console I find one, don't know exactly when, but some
steps before exception, telling
error opening device /tmp/disk: errno 6 no such file or directory.
I'm gong to attach screen dump of mounted partitions at exception point and
output  of bt command after choosing to debug the python exception (I don't know
how to debug python, I simply tried emulating somethng done in the past with C...)


Comment 5 Gianluca Cecchi 2007-04-23 22:25:23 UTC
Created attachment 153322 [details]
directories mounted at exception time

Comment 6 Gianluca Cecchi 2007-04-23 22:26:46 UTC
Created attachment 153324 [details]
output of bt command after choosing to debug exception

Comment 7 Chris Lumens 2007-06-14 18:51:11 UTC
Sorry, I don't quite follow your additional info in comment #1.  Can you explain
exactly what steps you are taking?  Also, if you could attach a screenshot of
tty3 when the exception happens, that would also be helpful.  Thanks.

Comment 8 Jeremy Katz 2007-09-21 18:18:04 UTC
Closing due to inactivity; please reopen if you have further information to add
to this report




Note You need to log in before you can comment on or make changes to this bug.